#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const _1 = require("./");
const { description, version } = require('../package.json');
program
    .version(version)
    .description(description)
    .option('-s, --server <host>', 'Specify a custom NTP server')
    .option('-p, --port <number>', 'Specify a custom NTP port')
    .option('-t, --timeout <number>', 'Specify the timeout in milliseconds')
    .parse(process.argv);
new _1.default(Object.assign({}, (program.server && { server: program.server }), (program.port && { port: program.port }), (program.timeout && { replyTimeout: program.timeout })))
    .getNetworkTime()
    .then(date => console.log(date.toString()))
    .catch(err => console.error(err));
//# sourceMappingURL=cli.js.map