export interface NTPConfig {
    /** Remote NTP Server port number */
    port?: number;
    /** Amount of acceptable time to await for a response from the remote server. */
    replyTimeout?: number;
    /** IP/Hostname of the remote NTP Server */
    server?: string;
}
export default class NTPClient {
    private readonly config;
    constructor(server?: string, port?: number, timeout?: number);
    constructor(config?: NTPConfig);
    /** Fetches the current NTP Time from the given server and port. */
    getNetworkTime(ntpReplyTimeout?: number): Promise<Date>;
}
